﻿//-----------------------------------------------------------------------
// <copyright file="Card.cs" company="BME MIT">
//     Based on work of Anexa85
//     Original code from: http://www.gamedev.net/topic/536071-c-text-based-blackjack/
//     Modified by David Honfi, BME MIT
// </copyright>
//-----------------------------------------------------------------------
namespace BlackJack
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    /// <summary>
    /// Implementation of a card.
    /// </summary>
    public class Card
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Card" /> class.
        /// </summary>
        public Card()
        {
            this.Value = 0;
            this.IsFaceUp = false;
        }

        /// <summary>
        /// Gets or sets the value of the card.
        /// </summary>
        public int Value { get; set; }

        /// <summary>
        /// Gets or sets the suit of the card.
        /// </summary>
        public SUIT Suit { get; set; }

        /// <summary>
        /// Gets or sets the name of the card.
        /// </summary>
        public NAME Name { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the card is with it's face up or not.
        /// </summary>
        public bool IsFaceUp { get; set; }

        /// <summary>
        /// Writes the card's properties to the console.
        /// </summary>
        public void Display()
        {
            Console.WriteLine("{0} of {1}", this.Name, this.Suit, this.Value);
        }
    } 
}
