﻿//-----------------------------------------------------------------------
// <copyright file="Player.cs" company="BME MIT">
//     Based on work of Anexa85
//     Original code from: http://www.gamedev.net/topic/536071-c-text-based-blackjack/
//     Modified by David Honfi, BME MIT
// </copyright>
//-----------------------------------------------------------------------
namespace BlackJack
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    /// <summary>
    /// Represents a player.
    /// </summary>
    public class Player
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Player" /> class.
        /// </summary>
        public Player()
        {
            this.Hand = new Hand();
        }

        /// <summary>
        /// Gets or sets the hand of the player.
        /// </summary>
        public Hand Hand { get; set; }

        /// <summary>
        /// Displays the current hand of the player.
        /// </summary>
        public void DisplayHand()
        {
            for (int i = 0; i < this.Hand.Cards.Count(); i++)
            {
                this.Hand.Cards[i].Display();
            }
        }

        /// <summary>
        /// Determines the total value of the hand.
        /// </summary>
        /// <returns>Value of hand.</returns>
        public int CalcHandValue()
        {
            int handValue = 0;

            for (int i = 0; i < this.Hand.Cards.Count(); i++)
            {
                if (this.Hand.Cards[i].Value == 11)
                {
                    if (handValue > 10)
                    {
                        this.Hand.Cards[i].Value = 1;
                    }
                }

                handValue += this.Hand.Cards[i].Value;
            }

            return handValue;
        }
    }
}
